
From: "John W. Linville" <linville@tuxdriver.com>

Add AC97 quick list entries to snd-intel8x0 for HP xw6200 and xw8000.

Signed-off-by: John W. Linville <linville@tuxdriver.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/pci/intel8x0.c |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletion(-)

diff -puN sound/pci/intel8x0.c~snd-intel8x0-ac97-quirk-entries-for-hp-xw6200-xw8000 sound/pci/intel8x0.c
--- 25/sound/pci/intel8x0.c~snd-intel8x0-ac97-quirk-entries-for-hp-xw6200-xw8000	Thu Jan  6 15:29:04 2005
+++ 25-akpm/sound/pci/intel8x0.c	Thu Jan  6 15:29:04 2005
@@ -1769,7 +1769,13 @@ static struct ac97_quirk ac97_quirks[] _
 	{	/* FIXME: which codec? */
 		.vendor = 0x103c,
 		.device = 0x00c3,
-		.name = "Hewlett-Packard onboard",
+		.name = "HP xw6000",
+		.type = AC97_TUNE_HP_ONLY
+	},
+	{
+		.vendor = 0x103c,
+		.device = 0x129d,
+		.name = "HP xw8000",
 		.type = AC97_TUNE_HP_ONLY
 	},
 	{
@@ -1785,6 +1791,12 @@ static struct ac97_quirk ac97_quirks[] _
 		.type = AC97_TUNE_HP_ONLY
 	},
 	{
+		.vendor = 0x103c,
+		.device = 0x12f2,
+		.name = "HP xw6200",
+		.type = AC97_TUNE_HP_ONLY
+	},
+	{
 		.vendor = 0x103c,
 		.device = 0x3008,
 		.name = "HP xw4200",	/* AD1981B*/
_
